Please add support for the Marvell dove SoC to debian-installer

Bug #409238 reported by Michael Casadevall on 2009-08-05
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu CD Images
High
Loïc Minier
base-installer (Ubuntu)
High
Michael Casadevall
Karmic
High
Michael Casadevall
debian-installer (Ubuntu)
High
Michael Casadevall
Karmic
High
Michael Casadevall
flash-kernel (Ubuntu)
High
Michael Casadevall
Karmic
High
Michael Casadevall
libdebian-installer (Ubuntu)
High
Michael Casadevall
Karmic
High
Michael Casadevall
partman-auto (Ubuntu)
High
Unassigned
Karmic
High
Unassigned
ubiquity (Ubuntu)
High
Michael Casadevall
Karmic
High
Michael Casadevall

Bug Description

This bug tracks the stauts of adding support for the Marvell Dove SoC to debian-installer and ubiquity:

Tasks:
base-installer
 - Add support for dove kernels

libdebian-installer
 - Add dove subarchitecture

debian-installer
 - Add dove subarchitecture

ubiquity
 - Update with new d-i components

The seed changes have already been merged

tags: added: armel dove
Changed in debian-installer (Ubuntu):
status: New → Confirmed
Changed in base-installer (Ubuntu):
status: New → Confirmed
Changed in flash-kernel (Ubuntu):
status: New → Confirmed
Changed in ubiquity (Ubuntu):
status: New → Confirmed
Changed in debian-installer (Ubuntu):
importance: Undecided → High
Changed in base-installer (Ubuntu):
importance: Undecided → High
Changed in flash-kernel (Ubuntu):
importance: Undecided → High
Changed in libdebian-installer (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Changed in ubiquity (Ubuntu):
importance: Undecided → High
Changed in base-installer (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
milestone: none → karmic-alpha-5
Changed in debian-installer (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
milestone: none → karmic-alpha-5
Changed in flash-kernel (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
milestone: none → karmic-alpha-5
Changed in libdebian-installer (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
milestone: none → karmic-alpha-5
Changed in ubiquity (Ubuntu):
assignee: nobody → Michael Casadevall (mcasadevall)
milestone: none → karmic-alpha-5

debian-cd changes attached. The bootscript contained is a placeholder for the final version, but it should work once USB support is in place and the boot device is the only USB drive.

Changed in flash-kernel (Ubuntu):
status: Confirmed → Invalid
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdebian-installer - 0.63ubuntu2

---------------
libdebian-installer (0.63ubuntu2) karmic; urgency=low

  [ Michael Casadevall ]
  * Added Dove SoC subarchitecture (LP: #409238)

 -- Colin Watson <email address hidden> Mon, 24 Aug 2009 12:26:17 +0100

Changed in libdebian-installer (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package base-installer - 1.101ubuntu3

---------------
base-installer (1.101ubuntu3) karmic; urgency=low

  * Added support for the Marvell dove SoC (LP: #409238)

 -- Michael Casadevall <email address hidden> Mon, 24 Aug 2009 12:30:29 +0100

Changed in base-installer (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20081029ubuntu52

---------------
debian-installer (20081029ubuntu52) karmic; urgency=low

  [ Colin Watson ]
  * Move to 2.6.31-6 kernels.
  * Add pcmcia-modules to hd-media images (LP: #415675).

  [ Michael Casadevall ]
  * Add support for building Marvell dove images (LP: #409238)

 -- Colin Watson <email address hidden> Mon, 24 Aug 2009 23:17:30 +0100

Changed in debian-installer (Ubuntu):
status: Confirmed → Fix Released
Changed in flash-kernel (Ubuntu):
status: Invalid → Confirmed
Loïc Minier (lool) wrote :

debian-cd changes were merged into the deployed debian-cd; I will look into cdimage work soon

Changed in ubuntu-cdimage:
assignee: nobody → Loïc Minier (lool)
importance: Undecided → High
status: New → In Progress
Loïc Minier (lool) wrote :

Deployed new cdimage bits and they did output an image

Changed in ubuntu-cdimage:
status: In Progress → Fix Released

partman-auto task opened, and branch attached. Dove requires a separate /boot partition for u-boot to read from. This branch sets the min. size of the /boot partition to 128MiB, and the max to 256MiB.

Changed in partman-auto (Ubuntu):
importance: Undecided → High
Changed in partman-auto (Ubuntu):
status: New → Confirmed
Changed in partman-auto (Ubuntu):
status: Confirmed → Fix Released

flash-kernel patch attached.

Changed in flash-kernel (Ubuntu):
milestone: karmic-alpha-5 → karmic-updates
milestone: karmic-updates → karmic-alpha-6
Changed in ubiquity (Ubuntu):
milestone: karmic-alpha-5 → karmic-alpha-6
Colin Watson (cjwatson) on 2009-09-15
Changed in ubiquity (Ubuntu Karmic):
status: Confirmed → Fix Committed

flash_kernel patch, not fully tested ATM, but the userland bit is known to work with tweaked u-boot

Loïc Minier (lool) wrote :

It seems odd to me to compute the UUID at install time instead of at flash-kernel run time.

I dont understand why you change the return 0 to return -1 in write_to_flash; it looks bogus to me.

Loïc Minier (lool) wrote :

Also you might want to handle separate /boot partition or not like in "HP Media Vault mv2120".

Fixed the return zero mistake.

Revisied flash-kernel patch with proper escaping. Used to create proper boot.scr in ubiquity installed system as a test, and then booted the result.

*sigh*. Not my day. Dropped console=ttyS0,115200 from command line so video output will be on VGA Out

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package flash-kernel - 2.13ubuntu10

---------------
flash-kernel (2.13ubuntu10) karmic; urgency=low

  [ Loïc Minier ]
  * Replace Vcs-Svn with Vcs-Bzr in control.

  [ Michael Casadevall ]
  * Change descriptions from Debian kernel/initramfs to Ubuntu kernel/initramfs
  * Added support for dove (LP: #409238)
  * Added imx51 to subarchitecture line in control file

  [ Loïc Minier ]
  * Misc fixes to dove support.

 -- Loic Minier <email address hidden> Wed, 16 Sep 2009 00:14:54 +0200

Changed in flash-kernel (Ubuntu Karmic):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.99.19

---------------
ubiquity (1.99.19) karmic; urgency=low

  [ Oliver Grawert ]
  * make sure /target/dev is properly bind mounted and unmounted in
    chroot_setup() and chroot_cleanup() so postinst triggers that require
    certain devices will find them (LP: #422101)

  [ Michael Casadevall ]
  * Add support for installing dove bootloader (LP: #409238)

  [ Michael Terry ]
  * Make sure the LANG environment variable is always set (LP: #429994)
  * kde: Fix a crasher when using oem-config (don't reference step labels
    that don't exist)

  [ Colin Watson ]
  * Automatic update of included source packages: flash-kernel 2.13ubuntu10,
    grub-installer 1.43ubuntu1, partman-auto-loop 0ubuntu17.

 -- Colin Watson <email address hidden> Tue, 15 Sep 2009 23:47:02 +0100

Changed in ubiquity (Ubuntu Karmic):
status: Fix Committed → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers